### Function

# Vips Blob copy

#### Declaration [src]

    VipsBlob*
    vips_blob_copy (
      void* data,
      size_t length
    )

#### Description [src]

Like `vips_blob_new()`, but take a copy of the data. Useful for bindings which struggle with callbacks.

See also

`vips_blob_new()`.

#### Parameters

`data`

  Type: An array of `guint8`

  Data to store.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `size_t`

  Number of bytes in `data`.

#### Return value

Type: `VipsBlob`

The new `VipsBlob`.

The caller of the function takes ownership of the data, and is responsible for freeing it.